Pod::Spec.new do |s|
    s.name             = 'onairos'
    s.version          = '0.1.2'
    s.summary          = 'Onairos Dart package for secure data storage and retrieval.'
    s.description      = <<-DESC
  Onairos Dart package provides a secure and convenient way to store and retrieve user data using the iOS Secure Enclave.
                         DESC
    s.homepage         = 'https://onairos.uk'
    s.license          = { :file => '../LICENSE' }
    s.author           = { 'Zion Darko' => 'zion.darko@onairos.uk' }
    s.source           = { :path => '.' }
    s.source_files = 'Classes/**/*'
    s.dependency 'Flutter'
    s.platform = :ios, '11.0'
  
    # Secure Enclave and Keychain configurations
    s.pod_target_xcconfig = {
      'OTHER_SWIFT_FLAGS' => '-D SECURE_ENCLAVE_ENABLED',
      'KEYCHAIN_ACCESS_GROUPS' => '$(AppIdentifierPrefix)com.example.yourappbundleid'
    }
  
    s.user_target_xcconfig = {
      'KEYCHAIN_ACCESS_GROUPS' => '$(AppIdentifierPrefix)com.example.yourappbundleid'
    }
  
    s.swift_version = '5.0'
  end