import 'package:flutter/foundation.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

Future<void> onairosapi2() async {
    final response = await http.get(Uri.parse('https://api.yourdomain.com/accountinfo'), headers: {
      // If required, add headers for the request
      "Authorization": "Bearer your_token_here",
      "Content-Type": "application/json",
    });

    if (response.statusCode == 200) {
        var accountInfo = json.decode(response.body);
        return accountInfo;
    } else {
      // Handle error or set state to show an error message
      if (kDebugMode) {
        print('Failed to load account info');
      }
    }
}



class onairosapi {
  final String baseUrl;
  // final String apiKey;
  final String? apiKey; // Make apiKey nullable

  onairosapi({required this.baseUrl, this.apiKey});

  Future<dynamic> get(String endpoint) async {
    Map<String, String> headers = {
    "Content-Type": "application/json",
    };

    // Add the Authorization header only if apiKey is not null
    if (apiKey != null) {
      headers["Authorization"] = "Bearer $apiKey";
    }

    final response = await http.get(
      Uri.parse('$baseUrl/$endpoint'),
      headers: headers,
    );

    if (response.statusCode == 200) {
      return json.decode(response.body);
    } else {
      // Better error handling
      // You could throw a custom exception here or handle the error based on the status code
      throw Exception('Failed to post data: Status code ${response.statusCode}, ${response.reasonPhrase}');
    }
  }

  Future<dynamic> post(String endpoint, {String? jsonData}) async {
    Map<String, String> headers = {
      "Content-Type": "application/json",
    };

    if (apiKey != null) {
      headers["Authorization"] = "Bearer $apiKey";
    }

    final response = await http.post(
      Uri.parse('$baseUrl/$endpoint'),
      headers: headers,
      body: jsonData,
    );

    // Logging the response body for better clarity
    
    if (response.statusCode == 200) {
      return json.decode(response.body);
    } else {
      // Better error handling
      // You could throw a custom exception here or handle the error based on the status code
      throw Exception('Failed to post data: Status code ${response.statusCode}, ${response.reasonPhrase}');
    }
}

}


